Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ml.prg.expvalue
Class DivisionByZeroError

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.encog.EncogError
                      org.encog.ml.ea.exception.EAError
                          org.encog.ml.ea.exception.EARuntimeError
                              org.encog.ml.prg.expvalue.DivisionByZeroError

All Implemented Interfaces:
  Serializable

    public class DivisionByZeroError

extends EARuntimeError

A division by zero.

See Also:
  Serialized Form

Constructor Summary
`DivisionByZeroError()`
`DivisionByZeroError(String msg)` Just a message.
`DivisionByZeroError(String msg, Throwable t)` Message with a throwable.
`DivisionByZeroError(Throwable t)` Just a throwable.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DivisionByZeroError

    public DivisionByZeroError()

### DivisionByZeroError

    public DivisionByZeroError(String msg)

  Just a message.

  Parameters:
    `msg` - The message.

### DivisionByZeroError

    public DivisionByZeroError(String msg,
                               Throwable t)

  Message with a throwable.

  Parameters:
    `msg` - The message.
    `t` - The throwable.

### DivisionByZeroError

    public DivisionByZeroError(Throwable t)

  Just a throwable.

  Parameters:
    `t` - The throwable.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.